Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardDataTerget.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardDataTerget.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardDataTerget.cs	(revision 51)
@@ -57,7 +57,7 @@
 
         #region パブリックメソッド
         /// <summary>
-        /// 掲示板データ検索
+        /// 掲示板データ検索SQL作成
         /// </summary>
         /// <param name="AddSQLString">検索条件SQL文字列</param>
         /// <param name="data">掲示板データデータ</param>
@@ -77,6 +77,16 @@
 
             return strcmd;
         }
+        #endregion
+
+        #region データ検索（複数件）
+        /// <summary>
+        /// データ検索（複数件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref List<MessageBoardTerget> data, bool bConnect = true)
         {
             //Oracle インターフェース
@@ -103,10 +113,20 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
+        #endregion
+
+        #region データ検索（１件）
+        /// <summary>
+        /// データ検索（１件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref MessageBoardTerget data, bool bConnect = true)
         {
             //Oracle インターフェース
@@ -134,13 +154,15 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
+        #endregion
 
+        #region 掲示板データ追加（1件）
         /// <summary>
-        /// 掲示板データ追加
+        /// 掲示板データ追加（1件）
         /// </summary>
         /// <param name="data">掲示板データデータ</param>
         /// <returns>true：成功 false：失敗</returns>
@@ -149,9 +171,16 @@
             string strcmd = "";
             try
             {
-
                 strcmd = "INSERT INTO MessageBoardTerget";
 
+                strcmd += " (RecordNumber";
+                strcmd += ",BranchNumber";
+                strcmd += ",SeqNum";
+                strcmd += ",ToCode";
+                strcmd += ",ToName";
+                strcmd += " ,EntryDate";
+                strcmd += " ,UpdateDate)";
+
                 strcmd += " VALUES (";
 
                 strcmd += string.Format("  {0} ", CommonMotions.cnvInt(work.RecordNumber.ToString()));
@@ -160,8 +189,8 @@
                 strcmd += string.Format(", {0} ", work.ToCode);
                 strcmd += string.Format(",'{0}'", work.ToName.ToString());
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -170,13 +199,15 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
+        #endregion
 
+        #region 掲示板データ追加（複数件）
         /// <summary>
-        /// 掲示板データ追加
+        /// 掲示板データ追加（複数件）
         /// </summary>
         /// <param name="data">掲示板データデータ</param>
         /// <returns>true：成功 false：失敗</returns>
@@ -185,7 +216,6 @@
             string strcmd = "";
             try
             {
-
                 foreach (MessageBoardTerget work in data)
                 {
                     if (!InsertAction(work, bConnect)) return false;
@@ -194,11 +224,13 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
+        #endregion
 
+        #region 掲示板データ更新
         /// <summary>
         /// 掲示板データ更新
         /// </summary>
@@ -210,7 +242,6 @@
             string strcmd = "";
             try
             {
-
                 strcmd = "UPDATE MessageBoardTerget";
 
                 strcmd += " SET";
@@ -221,7 +252,7 @@
                 strcmd += string.Format(",ToCode = {0} ", data.ToCode);
                 strcmd += string.Format(",ToName = '{0}'", data.ToName.ToString());
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -230,12 +261,13 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
+        #endregion
 
-
+        #region 掲示板データ削除
         /// <summary>
         /// 掲示板データ削除
         /// </summary>
@@ -256,11 +288,13 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
+        #endregion
 
+        #region OracleDataReaderより構造体へセットする
         /// <summary>
         /// OracleDataReaderより構造体へセットする
         /// </summary>
@@ -282,18 +316,47 @@
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 構造体をクリアする
+        /// <summary>
+        /// 構造体をクリアする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void ClearStruct(ref MessageBoardTerget wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.RecordNumber = 0;
+                wrk.BranchNumber = 0;
+                wrk.SeqNum = 0;
+                wrk.ToCode = 0;
+                wrk.ToName = string.Empty;
+
+                wrk.EntryDate = DateTime.Now;
+                wrk.UpdateDate = DateTime.Now;
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
         #endregion
 
-        #region パブリックメソッド（特殊処理）
-
+        #region 主キー検索の文字列を返す
         /// <summary>
         /// 主キー検索の文字列を返す
         /// 他のテーブルは0のキーを許さないが
@@ -319,9 +382,11 @@
 
             return strWork;
         }
+        #endregion
 
+        #region 最大値を取得する(RecordNumber)
         /// <summary>
-        /// 最大値を取得する
+        /// 最大値を取得する(RecordNumber)
         /// </summary>
         /// <param name="AddSQLString"></param>
         /// <param name="bConnect"></param>
@@ -356,8 +421,11 @@
 
             return iRet;
         }
+        #endregion
+
+        #region 最大値を取得する(BranchNumber)
         /// <summary>
-        /// 最大値を取得する
+        /// 最大値を取得する(BranchNumber)
         /// </summary>
         /// <param name="AddSQLString"></param>
         /// <param name="bConnect"></param>
@@ -392,8 +460,11 @@
 
             return iRet;
         }
+        #endregion
+
+        #region 最大値を取得する(SeqNum)
         /// <summary>
-        /// 最大値を取得する
+        /// 最大値を取得する(SeqNum)
         /// </summary>
         /// <param name="AddSQLString"></param>
         /// <param name="bConnect"></param>
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBrowsingHistory.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBrowsingHistory.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBrowsingHistory.cs	(revision 51)
@@ -106,7 +106,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -140,7 +140,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -166,10 +166,10 @@
                 strcmd += string.Format(", {0} ", CommonMotions.cnvInt(work.BranchNumber.ToString()));
                 strcmd += string.Format(", {0} ", work.SeqNum);
                 strcmd += string.Format(", {0} ", work.BrowsingCode);
-                strcmd += string.Format(", DATE_FORMAT('{0}','YYYY/MM/DD  HH24:MI:SS')", work.BrowsingDate.ToString());
+                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d %H:%i:%s')", work.BrowsingDate.ToString());
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -178,7 +178,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -203,7 +203,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -232,7 +232,7 @@
                 strcmd += string.Format(",BrowsingCode = {0} ", data.BrowsingCode);
                 strcmd += string.Format(",BrowsingDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.BrowsingDate.ToShortDateString());
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -241,7 +241,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -268,7 +268,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -296,11 +296,11 @@
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
 
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOOrdersPriceData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOOrdersPriceData.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOOrdersPriceData.cs	(revision 51)
@@ -6,7 +6,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient; 
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -31,7 +31,7 @@
         /// <summary>
         /// 担当者毎経費データフィールド並び
         /// </summary>
-        public enum OrdersPriceDataColumn
+        public enum TableColumn
         {
             ConstructionCode = 0,       // 工事コード
             ChangeNo,	                // 変更番号
@@ -67,7 +67,7 @@
         /// </summary>
         private string CreateSelectSQL()
         {
-            // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+            // SQL作成
             string strcmd = "SELECT";
 
             strcmd += "  ConstructionCode";             // 工事コード
@@ -92,7 +92,7 @@
         #region 複数読込み処理
         public bool SelectAction(string AddSQLString, ref List<OrdersPriceData> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
@@ -125,7 +125,7 @@
         #region 1件読込み処理
         public bool SelectAction(string AddSQLString, ref OrdersPriceData data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
@@ -172,7 +172,7 @@
                 strcmd += string.Format("  {0}", work.ConstructionCode);                    // 工事コード
 
                 strcmd += string.Format(", {0}", work.ChangeNo);	                        // 変更番号
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                                 , work.ChangeDate.ToShortDateString());	    // 変更日
                 strcmd += string.Format(", {0}", work.ChangePersonCode);                    // 変更者コード
                 strcmd += string.Format(",'{0}'", work.ChangePersonName);                   // 変更者名
@@ -184,8 +184,8 @@
 
                 strcmd += string.Format(",'{0}'", work.ChangeComment);                      // 変更理由
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -241,7 +241,7 @@
                 strcmd += string.Format(" ConstructionCode = {0}", data.ConstructionCode);                  // 工事コード
 
                 strcmd += string.Format(",ChangeNo = {0}", data.ChangeNo);	                                // 変更番号
-                strcmd += string.Format(",ChangeDate = DATE_FORMAT('{0}','%Y/%m/%d')"
+                strcmd += string.Format(",ChangeDate = STR_TO_DATE('{0}','%Y/%m/%d')"
                                         , data.ChangeDate.ToShortDateString());	                            // 変更日
                 strcmd += string.Format(",ChangePersonCode = {0}", data.ChangePersonCode);                  // 変更者コード
                 strcmd += string.Format(",ChangePersonName = '{0}'", data.ChangePersonName);                // 変更者名
@@ -253,7 +253,7 @@
 
                 strcmd += string.Format(",ChangeComment = '{0}'", data.ChangeComment);                      // 変更理由
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -277,7 +277,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -297,9 +297,8 @@
 
         #region データセット処理
         /// <summary>
-        /// OracleDataReaderより構造体へセットする
+        /// 構造体へセットする
         /// </summary>
-        /// <param name="reader">OracleDataReader</param>
         /// <param name="wrk">構造体</param>
         public void Reader2Struct(object[] objwrk, ref OrdersPriceData wrk)
         {
@@ -306,25 +305,25 @@
             try
             {
                 // データ取得
-                wrk.ConstructionCode = int.Parse(objwrk[(int)OrdersPriceDataColumn.ConstructionCode].ToString());                   // 工事コード
-                wrk.ChangeNo = int.Parse(objwrk[(int)OrdersPriceDataColumn.ChangeNo].ToString());	                                // 変更番号
-                wrk.ChangeDate = DateTime.Parse(objwrk[(int)OrdersPriceDataColumn.ChangeDate].ToString());	                        // 変更日
-                wrk.ChangePersonCode = int.Parse(objwrk[(int)OrdersPriceDataColumn.ChangePersonCode].ToString());                   // 変更者コード
-                wrk.ChangePersonName = objwrk[(int)OrdersPriceDataColumn.ChangePersonName].ToString();                              // 変更者名
+                wrk.ConstructionCode = int.Parse(objwrk[(int)TableColumn.ConstructionCode].ToString());                   // 工事コード
+                wrk.ChangeNo = int.Parse(objwrk[(int)TableColumn.ChangeNo].ToString());	                                // 変更番号
+                wrk.ChangeDate = DateTime.Parse(objwrk[(int)TableColumn.ChangeDate].ToString());	                        // 変更日
+                wrk.ChangePersonCode = int.Parse(objwrk[(int)TableColumn.ChangePersonCode].ToString());                   // 変更者コード
+                wrk.ChangePersonName = objwrk[(int)TableColumn.ChangePersonName].ToString();                              // 変更者名
 
-                wrk.BeforeValue = int.Parse(objwrk[(int)OrdersPriceDataColumn.BeforeValue].ToString());                             // 変更前税抜受注金額
-                wrk.BeforeValueInTax = int.Parse(objwrk[(int)OrdersPriceDataColumn.BeforeValueInTax].ToString());                   // 　〃　税込受注金額
-                wrk.AfterValue = int.Parse(objwrk[(int)OrdersPriceDataColumn.AfterValue].ToString());                               // 変更後税抜受注金額
-                wrk.AfterValueInTax = int.Parse(objwrk[(int)OrdersPriceDataColumn.AfterValueInTax].ToString());                     // 　〃　税込受注金額
+                wrk.BeforeValue = int.Parse(objwrk[(int)TableColumn.BeforeValue].ToString());                             // 変更前税抜受注金額
+                wrk.BeforeValueInTax = int.Parse(objwrk[(int)TableColumn.BeforeValueInTax].ToString());                   // 　〃　税込受注金額
+                wrk.AfterValue = int.Parse(objwrk[(int)TableColumn.AfterValue].ToString());                               // 変更後税抜受注金額
+                wrk.AfterValueInTax = int.Parse(objwrk[(int)TableColumn.AfterValueInTax].ToString());                     // 　〃　税込受注金額
 
-                wrk.ChangeComment = objwrk[(int)OrdersPriceDataColumn.ChangeComment].ToString();                                    // 変更理由
+                wrk.ChangeComment = objwrk[(int)TableColumn.ChangeComment].ToString();                                    // 変更理由
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)OrdersPriceDataColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)OrdersPriceDataColumn.UpdateDate].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)TableColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)TableColumn.UpdateDate].ToString());
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
@@ -333,6 +332,68 @@
         }
         #endregion
 
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <returns></returns>
+        public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE OrdersPriceData";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)TableColumn.ConstructionCode:         // 工事コード
+                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.ChangeNo:	                // 変更番号
+                        strcmd += string.Format(" ChangeNo = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.ChangeDate:	            // 変更日
+                        strcmd += string.Format(" ChangeDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)TableColumn.ChangePersonCode:         // 変更者コード
+                        strcmd += string.Format(" ChangePersonCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.ChangePersonName:         // 変更者名
+                        strcmd += string.Format(" ChangePersonName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.BeforeValue:              // 変更前税抜受注金額
+                        strcmd += string.Format(" BeforeValue = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.BeforeValueInTax:         // 　〃　税込受注金額
+                        strcmd += string.Format(" BeforeValueInTax = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.AfterValue:               // 変更後税抜受注金額
+                        strcmd += string.Format(" AfterValue = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.AfterValueInTax:          // 　〃　税込受注金額
+                        strcmd += string.Format(" AfterValueInTax = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.ChangeComment:            // 変更理由
+                        strcmd += string.Format(" ChangeComment = '{0}'", value.ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(ConstructionCode);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
         #region 検索文字列作成処理
         /// <summary>
         /// 主キー検索の文字列を返す
@@ -369,7 +430,7 @@
         /// <returns></returns>
         public int SelectMaxAddDataCount(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
             int iRet = 0;
